Package org.eclipse.cdt.core

## Interface IErrorParser2

All Superinterfaces:
  `IErrorParser`

    public interface IErrorParser2
    extends IErrorParser

Interface to provide flexibility for error parsers to parse unprocessed build output

Since:
  5.1

### Field Summary

Fields
`static int` `KEEP_LONGLINES` Parser can process lines with unlimited length (default length is 1000)
`static int` `KEEP_UNTRIMMED` Do not trim output line
`static int` `NONE` Default behavior, lines are trimmed and cut by EOL and less or equal 1000 chars

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getProcessLineBehaviour()` Defines how much output would be processed before calling `IErrorParser.processLine(String, ErrorParserManager)`

### Methods inherited from interface org.eclipse.cdt.core.IErrorParser

`processLine`

### Field Detail

#### NONE

    static final int NONE

Default behavior, lines are trimmed and cut by EOL and less or equal 1000 chars

See Also:
  Constant Field Values

#### KEEP_UNTRIMMED

    static final int KEEP_UNTRIMMED

Do not trim output line

See Also:
  Constant Field Values

#### KEEP_LONGLINES

    static final int KEEP_LONGLINES

Parser can process lines with unlimited length (default length is 1000)

See Also:
  Constant Field Values

### Method Detail

#### getProcessLineBehaviour

    int getProcessLineBehaviour()

Defines how much output would be processed before calling `IErrorParser.processLine(String, ErrorParserManager)`

Returns:
  combination of flags that describe parser expectations of input line
See Also:
  `KEEP_UNTRIMMED`, `KEEP_LONGLINES`